import * as React from 'react';
export interface IContentEditableProps {
    content: string;
    disabled?: boolean;
    onChange?: (newValue: string) => void;
    displayContent?: string;
    autofocus?: boolean;
    selectOnFocus?: boolean;
    onKeyDown?: (event: React.KeyboardEvent) => void;
    onKeyPress?: (event: React.KeyboardEvent) => void;
}
export interface IContentEditableState {
    editing: boolean;
}
declare class ContentEditable extends React.Component<IContentEditableProps, {}> {
    static defaultProps: Partial<IContentEditableProps>;
    state: {
        editing: boolean;
    };
    private elem;
    shouldComponentUpdate(nextProps: IContentEditableProps, nextState: IContentEditableState): boolean;
    selectAll: () => void;
    handleKeyDown: (evt: React.KeyboardEvent<Element>) => void;
    finishEditing: () => void;
    startEditing: () => void;
    componentDidMount(): void;
    content: () => string;
    render(): JSX.Element;
}
export default ContentEditable;
