import * as React from 'react';
export interface INumberFieldProps {
    value: number;
    displayContent?: string;
    disabled?: boolean;
    selectOnFocus?: boolean;
    onChange(newValue: number): any;
}
export default class NumberField extends React.Component<INumberFieldProps, {}> {
    static defaultProps: Partial<INumberFieldProps>;
    shouldComponentUpdate(nextProps: INumberFieldProps): boolean;
    handleKeyPress: (e: React.KeyboardEvent<Element>) => void;
    onChange: (newContent: string) => void;
    content: () => string;
    render(): JSX.Element;
}
