"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_emotion_1 = tslib_1.__importDefault(require("react-emotion"));
exports.SelectSpan = react_emotion_1.default('span')(templateObject_1 || (templateObject_1 = tslib_1.__makeTemplateObject(["\n  padding-right: 1em;\n  margin-right: 0.17em;\n  cursor: pointer;\n  position: relative;\n\n  &::after {\n    position: absolute;\n    top: 50%;\n    right: 0;\n    cursor: pointer;\n    display: block;\n    content: '';\n    height: 0;\n    width: 0;\n    border: 0.33em solid transparent;\n    border-top: 0.33em solid rgba(0, 0, 0, 0.33);\n    margin-top: -0.17em;\n  }\n\n  &:focus {\n    border-bottom: 1px dashed #00aeed;\n  }\n\n  &.bright {\n    &::after {\n      border-top: 0.33em solid rgba(255, 255, 255, 0.33);\n    }\n  }\n"], ["\n  padding-right: 1em;\n  margin-right: 0.17em;\n  cursor: pointer;\n  position: relative;\n\n  &::after {\n    position: absolute;\n    top: 50%;\n    right: 0;\n    cursor: pointer;\n    display: block;\n    content: '';\n    height: 0;\n    width: 0;\n    border: 0.33em solid transparent;\n    border-top: 0.33em solid rgba(0, 0, 0, 0.33);\n    margin-top: -0.17em;\n  }\n\n  &:focus {\n    border-bottom: 1px dashed #00aeed;\n  }\n\n  &.bright {\n    &::after {\n      border-top: 0.33em solid rgba(255, 255, 255, 0.33);\n    }\n  }\n"])));
exports.StyledSelect = react_emotion_1.default('select')(templateObject_2 || (templateObject_2 = tslib_1.__makeTemplateObject(["\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  width: 100%;\n  opacity: 0;\n  cursor: pointer;\n  z-index: 1;\n\n  &:focus {\n    background-color: ivory;\n  }\n"], ["\n  position: absolute;\n  top: 0;\n  left: 0;\n  right: 0;\n  width: 100%;\n  opacity: 0;\n  cursor: pointer;\n  z-index: 1;\n\n  &:focus {\n    background-color: ivory;\n  }\n"])));
var templateObject_1, templateObject_2;
//# sourceMappingURL=SelectField.js.map